-- give itemboxes a fake fuse, make them respawn faster
addHook("MobjThinker", function(item)
	if not (item and item.valid) then return end
	
	if (item.bp_fuse)
		item.flags2 = $|MF2_DONTDRAW
		
		-- make sure they have no target alive preventing fuse from going down
		if (item.bp_fusetarget and item.bp_fusetarget.valid) then return end
		-- decrease fuse
		item.bp_fuse = $-1
		if not (item.bp_fuse)
			item.flags2 = $ & ~(MF2_DONTDRAW)
		end
	end
end, MT_RANDOMITEM)
-- dont collect during fake fuse
addHook("MobjMoveCollide", function(mo, item)
	if not (item and item.valid) then return end

	if (item.bp_fuse)
		return false -- disable colision
	end
end, MT_PLAYER)