local framework = battleplus.framework
local dprint = battleplus.dprint

-- add a gamemode, wash out old ones
framework.SavedGamemodes_AddGamemode = function(gamemode)
	if not (gamemode) then return end	-- bruh
	
	server.bp_savedgamemodes = $ or {{}, {}}	-- init
	local hell = (battleplus.gamemodes[gamemode].rules & BP_GMR_HELL)
	local t = server.bp_savedgamemodes[(hell) and 2 or 1]
	
	table.insert(t, gamemode)
	dprint(2, "Added "..battleplus.gamemodes[gamemode].name.." to saved gamemodes")
	-- wash out gamemodes
	local totalgamemodes = 0
	for k, v in ipairs(battleplus.gamemodes)
		local hellgamemode = (v.rules & BP_GMR_HELL)
		if (hellgamemode ~= hell) then continue end
		
		totalgamemodes = $+1
	end
	
	dprint(2, "Currently saved gamemodes:")
	for k, v in ipairs(t)
		dprint(2, battleplus.gamemodes[v].name)
	end
	
	while (#t > totalgamemodes/2)
		dprint(2, "Removed "..battleplus.gamemodes[t[1]].name.." from saved gamemodes")
		table.remove(t, 1)
	end
end
-- check if a gamemode is added
framework.SavedGamemodes_IsGamemodeSaved = function(gamemode)
	if not (gamemode) then return end	-- bruh
	
	server.bp_savedgamemodes = $ or {{}, {}}	-- init
	local hell = (battleplus.gamemodes[gamemode].rules & BP_GMR_HELL)
	local t = server.bp_savedgamemodes[(hell) and 2 or 1]
	
	for k, v in ipairs(t)
		if (v == gamemode) then dprint(2, "Gamemode is saved") return true end	-- gamemode is saved, skip
	end
	-- gamemode isnt saved
	return false
end