battleplus.hoteggtato = {}
local hoteggtato = battleplus.hoteggtato

-- functions
hoteggtato.GetTaggedPlayers = function()
	local num = 0
	for p in players.iterate
		if not (p.bp.he_tagged) then continue end
		num = $+1
	end
	
	return num
end
hoteggtato.TagPlayer = function(p, p2)
	-- tag them
	p.bp.he_tagged = true
	p.bp.he_wastagged = true	-- used for point detection
	S_StartSound(nil, sfx_itrole, p)
	
	-- send message if not done so already
	if not (p.bp.he_sentmessage)
		p.bp.he_sentmessage, p.bp.he_messagetimer = true, 5*TICRATE
	end
	
	-- give them an item
	if P_CanPickupItem(p, 1)
		p.kartstuff[k_itemroulette] = 1
	end
	
	if (p2 and p2.valid)	-- we were tagged by someone else?
		p2.bp.he_tagged = nil
		print(p.name.." was tagged by "..p2.name.." with the Hot-Eggtato!")
		
		-- hitfeed support
		if (hitfeed)
			if not (HF_animIcon["K_HMHEG"]) then HF_animIcon["K_HMHEG"] = {2, 2} end
			
			local s = {{p2.name, p2.mo.hf_overridenamecolor or p2.skincolor}, {skins[p2.mo.skin].facemmap, p2.skincolor}, p2}
			local v = {{p.name, p.mo.hf_overridenamecolor or p.skincolor}, {skins[p.mo.skin].facemmap, p.skincolor}, p}
			HF_SendHitMessage(s, v, "K_HMHEG")
		end
	else	-- we were just tagged by god, unfortunate
		print(p.name.." was tagged with the Hot-Eggtato!")
		
		-- hitfeed support
		if (hitfeed)
			if not (HF_animIcon["K_HMHEG"]) then HF_animIcon["K_HMHEG"] = {2, 2} end
			
			local v = {{p.name, p.mo.hf_overridenamecolor or p.skincolor}, {skins[p.mo.skin].facemmap, p.skincolor}, p}
			HF_SendHitMessage(nil, v, "K_HMHEG")
		end
	end
end