battleplus.randomizer = {}
local randomizer = battleplus.randomizer

randomizer.cv_timelimit = CV_RegisterVar({
	name = "bp_rn_timelimit",
	defaultvalue = 0,	-- optional timelimit
	flags = CV_NETVAR|CV_CALL|CV_NOINIT,
	PossibleValue = {MIN = 0, MAX = 99},
	func = function(var)
		if (var.changed)
			if (var.value)
				print("Randomizer will end after "..var.value.." "..(var.value == 1 and "minute" or "minutes")..".")
			else
				print("Randomizer time limit disabled.")
			end
		end
	end
})
randomizer.cv_bumpers = CV_RegisterVar({
	name = "bp_rn_bumpers",
	defaultvalue = 3,
	flags = CV_NETVAR,
	PossibleValue = {MIN = 1, MAX = 9},
})