battleplus.framework = {} -- first script loaded, so define the namespace here
local framework = battleplus.framework

framework.LateAdd = function()
	if (server.bp_server) then return end	-- no need to do this
	
	server.bp_server = {}	-- server var namespace
	for p in players.iterate do p.bp = {} end	-- player namespace
	COM_BufInsertText(server, "timelimit 0")	-- no
	
	-- default to bumper battle if we don't have a gamemode
	server.bp_server.gamemode = 1
	framework.SavedGamemodes_AddGamemode(server.bp_server.gamemode)
	
	local gamemode = battleplus.gamemodes[server.bp_server.gamemode]
	framework.Setup_TimeLimit(gamemode)
	framework.Setup_Bumpers(gamemode)
	print("The gamemode is now: Bumper Battle")
end

framework.MidJoin = function()
	for p in players.iterate
		if (p.bp) then continue end
		-- create table
		p.bp = {}
	end
end