-- general battle plus commands
-- gamemode selection
battleplus.cv_forcegamemode = CV_RegisterVar({
	name = "bp_forcegamemode",
	defaultvalue = 0,
	flags = CV_NETVAR,
	PossibleValue = CV_Unsigned,
})
battleplus.cv_teams = CV_RegisterVar({
	name = "bp_teams",
	defaultvalue = "On",
	flags = CV_NETVAR,
	PossibleValue = {Never = 0, On = 1, Force = 2},
})
battleplus.cv_hell = CV_RegisterVar({
	name = "bp_gamemodehell",
	defaultvalue = "0",
	flags = CV_NETVAR,
	PossibleValue = {Never = 0, On = 1, Force = 2},
})

-- team colours
battleplus.cv_t1c = CV_RegisterVar({
	name = "bp_team1color",
	defaultvalue = "Blue",
	PossibleValue = {White = 1, Silver = 2, Grey = 3, Nickel = 4, Black = 5, Skunk = 6, Fairy = 7, Popcorn = 8, Artichoke = 9, Pigeon = 10, Sepia = 11, Beige = 12, Walnut = 13, Brown = 14, Leather = 15, Salmon = 16, Pink = 17, Rose = 18, Brick = 19, Cinnamon = 20, Ruby = 21, Raspberry = 22, Cherry = 23, Red = 24, Crimson = 25, Maroon = 26, Lemonade = 27, Flame = 28, Scarlet = 29, Ketchup = 30, Dawn = 31, Sunset = 32, Creamsicle = 33, Orange = 34, Pumpkin = 35, Rosewood = 36, Burgundy = 37, Tangerine = 38, Peach = 39, Caramel = 40, Cream = 41, Gold = 42, Royal = 43, Bronze = 44, Copper = 45, Quarry = 46, Yellow = 47, Mustard = 48, Crocodile = 49, Olive = 50, Vomit = 51, Garden = 52, Lime = 53, Handheld = 54, Tea = 55, Pistachio = 56, Moss = 57, Camouflage = 58, RoboHood = 59, Mint = 60, Green = 61, Pinetree = 62, Emerald = 63, Swamp = 64, Dream = 65, Plague = 66, Algae = 67, Caribbean = 68, Azure = 69, Aqua = 70, Teal = 71, Cyan = 72, Jawz = 73, Cerulean = 74, Navy = 75, Platinum = 76, Slate = 77, Steel = 78, Thunder = 79, Rust = 80, Wristwatch = 81, Jet = 82, Sapphire = 83, Periwinkle = 84, Blue = 85, Blueberry = 86, Nova = 87, Pastel = 88, Moonslam = 89, Ultraviolet = 90, Dusk = 91, Bubblegum = 92, Purple = 93, Fuchsia = 94, Toxic = 95, Mauve = 96, Lavender = 97, Byzantium = 98, Pomegranate = 99, Lilac = 100},
})
battleplus.cv_t2c = CV_RegisterVar({
	name = "bp_team2color",
	defaultvalue = "Red",
	PossibleValue = {White = 1, Silver = 2, Grey = 3, Nickel = 4, Black = 5, Skunk = 6, Fairy = 7, Popcorn = 8, Artichoke = 9, Pigeon = 10, Sepia = 11, Beige = 12, Walnut = 13, Brown = 14, Leather = 15, Salmon = 16, Pink = 17, Rose = 18, Brick = 19, Cinnamon = 20, Ruby = 21, Raspberry = 22, Cherry = 23, Red = 24, Crimson = 25, Maroon = 26, Lemonade = 27, Flame = 28, Scarlet = 29, Ketchup = 30, Dawn = 31, Sunset = 32, Creamsicle = 33, Orange = 34, Pumpkin = 35, Rosewood = 36, Burgundy = 37, Tangerine = 38, Peach = 39, Caramel = 40, Cream = 41, Gold = 42, Royal = 43, Bronze = 44, Copper = 45, Quarry = 46, Yellow = 47, Mustard = 48, Crocodile = 49, Olive = 50, Vomit = 51, Garden = 52, Lime = 53, Handheld = 54, Tea = 55, Pistachio = 56, Moss = 57, Camouflage = 58, RoboHood = 59, Mint = 60, Green = 61, Pinetree = 62, Emerald = 63, Swamp = 64, Dream = 65, Plague = 66, Algae = 67, Caribbean = 68, Azure = 69, Aqua = 70, Teal = 71, Cyan = 72, Jawz = 73, Cerulean = 74, Navy = 75, Platinum = 76, Slate = 77, Steel = 78, Thunder = 79, Rust = 80, Wristwatch = 81, Jet = 82, Sapphire = 83, Periwinkle = 84, Blue = 85, Blueberry = 86, Nova = 87, Pastel = 88, Moonslam = 89, Ultraviolet = 90, Dusk = 91, Bubblegum = 92, Purple = 93, Fuchsia = 94, Toxic = 95, Mauve = 96, Lavender = 97, Byzantium = 98, Pomegranate = 99, Lilac = 100},
})